%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%global debug_package %{nil}

%define libname %(echo %{name} | sed -e 's/^ocaml-//')

%global pre_tag beta3

Name:           ocaml-opam-file-format
Version:        2.0.0
Release:        0.1.%{pre_tag}%{?dist}
Summary:        Parser and printer for the opam file syntax

# This is apparently a standard "OCaml exception" and is detailed
# in the license file. That wasn't included in the repo, but I filed
# a ticket (https://github.com/ocaml/opam-file-format/issues/5)
# and now it is, so I've added the commit that added license as a patch.
License:        LGPLv2 with exceptions
URL:            https://github.com/ocaml/opam-file-format/
Source0:        https://github.com/ocaml/%{libname}/archive/%{version}-%{pre_tag}/%{name}-%{version}.tar.gz

# See above; this got added into the library post-release.
Patch0:         https://github.com/ocaml/opam-file-format/commit/f13e7e665013d2abf6e369f8cb780fe4f491ce94.patch

BuildRequires:  ocaml

%global _use_internal_dependency_generator 0
%global __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%global __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
Parser and printer for the opam file syntax.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{libname}-%{version}-%{pre_tag} -p1

%build
make byte
%if %opt
make native
%endif

%install
make install LIBDIR=%{_libdir}/ocaml DESTDIR=%{buildroot}

# The mli files don't seem to get installed by the makefile.
# This is suboptimal.
cp -a src/*.mli %{buildroot}%{_libdir}/ocaml/%{libname}/

%files
# There is no documentation.
%license LICENSE
%{_libdir}/ocaml/%{libname}
%if %opt
%exclude %{_libdir}/ocaml/%{libname}/*.a
%exclude %{_libdir}/ocaml/%{libname}/*.cmxa
%exclude %{_libdir}/ocaml/%{libname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{libname}/*.mli

%files devel
%license LICENSE
%if %opt
%{_libdir}/ocaml/%{libname}/*.a
%{_libdir}/ocaml/%{libname}/*.cmxa
%{_libdir}/ocaml/%{libname}/*.cmx
%endif
%{_libdir}/ocaml/*/*.mli

%changelog
* Tue Aug  1 2017 Ben Rosser <rosser.bjr@gmail.com> 2.0.0-0.1.beta3
- Initial package.
